Nápověda - Html-Wap editor 2007

Charakteristika programu

Co Html-Wap editor nabízí

  • WYSIWYG editace webových stránek
  • Velmi jednoduchá a intuitivní práce, při prvním spuštění není třeba nic složitě konfigurovat
  • Neomezená délka editovaného textu
  • Možnost otevření více dokumentů současně
  • Práce s projekty
  • Hledání a nahrazování v souborech
  • Zvýraznění syntaxe pro více jak 350 druhů souborů
  • Automatické rozpoznání syntaxe podle typu souboru s možností manuální změny
  • Náhled HTML, JavaScriptu a dalších jazyků v interním prohlížeči.
  • Tisk se zvýrazněnou syntaxí s možností nastavením vzhledu stránky
  • Program si pamatuje historii otevřených souborů a projektů, umí při spuštění otevřít soubory, které byly otevřeny při ukončení, zapamatuje si stav souboru při jeho uzavření a při příštím otevření jej otevře ve stavu, ve kterém jste jej opustili.
  • Volitelné zobrazení čísel řádků, podbarvení aktuálního řádku, pravítko
  • Převody velikosti písmen (malá, velká, první písmena velká)
  • Přeformátování a komprese HTML kódu, změna velikosti písmen pro TAGy, odstranění tagů
  • Odstranění prázdných řádků, nadbytečných mezer, přidání textu do řádků
  • Otevření souboru, který je předán jako parametr nebo přetažen na plochu programu
  • Minimalizace do systémové ikony, práce ve víceuživatelském prostředí (Windows NT)
  • Velké množství průvodců pro HTML tagy
  • Průvodce všemi vlastnostmi kaskádových stylů
  • Editor vlastností HTML tagů a CSS atributů
  • Doplňovač syntaxe a návrhy doplnění
  • Příjemné skinovatelné uživatelské prostředí
  • Vnitřní prohlížeč obrázků pro rychlé vkládání do stránek
  • Zobrazení struktury webové stránky do stromu
  • Kontrola odkazů a výpis seznamu připojených souborů ke stránce
  • Knihovna objektů pro několik jazyků
  • Monitor schránky pro uchování historie obsahu


Menu Soubor

Položky této nabídky se používají pro základní práci se soubory a řada z nich je známá i z ostatních programů.

Nový (Ctrl+N)

Tato volba slouží k vytvoření nového souboru. Po jejím zvolení se vytvoří nový prázdný dokument.

Otevřít (Ctrl+O)

Touto volbou otevřete existující dokument. Zobrazí se dialog, pomocí nějž vyhledáte požadovanou složku a vyberete dokument (může jich být i více najednou), který chcete otevřít. Více možností otevírání se dozvíte v kapitole 4 - Vytvoření / otevření dokumentu.

Otevřít projekt (Ctrl+Alt+O)

Provede otevření projektového souboru. Otevřený projekt se zobrazí v položce Správa projektu na Navigačním panelu.

Poslední otevřené

Tato volba otevírá další menu, ve kterém je seznam naposledy otevíraných souborů. Klepnutím na adresu požadovaného souboru proběhne jeho otevření do editoru.

Uložit (Ctrl+S)

Touto volbou proběhne uložení aktivního dokumentu do souboru. Pokud není známo jméno souboru (soubor ještě nebyl uložen), bude zobrazeno dialogové okno pro zadání jména cílového souboru.

Uložit vše (Shift+Ctrl+S)

Touto volbou provedete uložení všech změněných dokumentů. Není-li u dokumentu známé jméno souboru, bude zobrazen dialog pro jeho zadání.

Uložit jako (F12)

Tato volba je téměř stejná jako volba Uložit s tím rozdílem, že je vždy zobrazen dialog pro vyhledání souboru.

Uložit jako šablonu (Shift+Alt+S)

Touto volbou uložíte aktivní dokument jako šablonu, kterou můžete později použít pro vytvoření nové stránky. Po zvolení této volby budete vyzváni pro zadání jména šablony. Tuto šablonu najdete v podložce Uživatelské šablony v průvodci použitím šablony, kterého spustíte pomocí volby Soubor - Nový - Průvodce.

Uložit projekt (Ctrl+Alt+S)

Provede uložení aktivního projektu do souboru projektu. Uložením projektu nebudou uloženy právě otřevřené HTML soubory, pouze struktura projektu. Uložen bude ten projekt, na jehož název nebo soubor jemu patřící je ukázáno na Navigačním panelu v položce Správa projektu.

Uložit projekt jako (Alt+F12)

Tato volba je téměř stejná jako volba Uložit projekt s tím rozdílem, že je vždy zobrazen dialog pro vyhledání souboru.

Aktualizovat (Ctrl+F5)

Tato volba aktualizuje aktivní dokument. Volbu použijte v případě, že byl dokument upraven jinou aplikací (nebo jinak modifikován obsah souboru). Tato volba znovu načte obsah dokumentu ze souboru.

Zavřít soubor (Ctrl+F4)

Tato volba zavře aktuální dokument. Pokud byli v dokumentu provedeny změny, budete otázání, zda je chcete uložit. Stejného výsledku docílíte stisknutím důvěrně známé ikony křížku na titulním pruhu okna otevřeného dokumentu, nebo stisknutím křížku na příslušné záložce.

Vzhled stránky (Ctrl+Alt+P)

Tato volba je známá např. z aplikace Microsoft Word. Zde můžete nastavit vlastnosti stránky pro tisk, jako jsou její okraje, formát papíru atd.

Tisk (Ctrl+P)

Volba opět známá z téměř všech aplikací. Po jejím vyvolání budete otázání, jakou tiskárnu chcete použít a poté bude stránka vytištěna.

Konec (Alt+F4)

K této volbě snad není co dodat. Při jejím vyvolání proběhne ukončení aplikace stejně jako stisknutím křížku v pravém horním rohu aplikace. Pokud má aplikace změněné otevřené dokumenty, budete otázáni, zda je chcete uložit.


Menu Úpravy

Upravit tag pomocí průvodce (Ctrl+E)

V případě že pro tag, ve kterém je umístěn kurzor, je definován průvodce, je možné jej otevřít a načíst již nastavené hodnoty tagu, které lze pomocí průvodce jednoduše změnit. V případě že tag obsahuje neznámý atribut, nebude smazán.

Zpět (Ctrl+Z)

Opět velice známá volba z ostatních aplikací. Vrátí zpět poslední provedenou změnu. Limit na vrácení změn je 1024 kroků (pouze u editace zdrojových kódů).

Vpřed (Ctrl+Y)

Vrátí zpět provedené vrácení změny.

Kopírovat (Ctrl+C)

Zkopíruje označený text do schránky.

Vystřihnout (Ctrl+X)

Vystřihne označený text do schránky.

Vložit (Ctrl+V)

Vloží text ze schránky do dokumentu.

Vložit speciálně

Tato volba obsahuje další možnosti vložení textu do dokumentu:
»Vložit ze souboru - Vloží do dokumentu text načtený ze souboru.

Vybrat vše (Ctrl+A)

Označí celý obsah dokumentu.

Práce se řádky

Tato volba obsahuje další možnosti pro práci s označeným textem:
»Zmenšit odsazení bloku (Ctrl+Alt+Left) - Zmenší odsazení řádků označeného textu o jednu úroveň (tabulátor, mezera, nebo jakýkoliv jiný znak).
»Zvětšit odsazení bloku (Ctrl+Alt+Right) - Odsazení řádků označeného textu pomocí použití znaku tabulátoru.
»Zaměnit řádky (Ctrl+Alt+R) - Zamění pořadí označených řádků.
»Odstranit mezery na začátcích řádků (Ctrl+Alt+D) - Odstraní veškeré mezery a tabulátory na začátcích označených řádků
»Pokročilé úpravy řádků (Ctrl+Alt+N) - Otevírá dialog pro pokročilé úpravy řádků.

Převést na velká písmena (Shift+Ctrl+Up)

Převede označený text na velká písmena.

Převést na malá písmena (Shift+Ctrl+Down)

Převede označený text na malá písmena.

Převod escape sekvencí (Ctrl+Alt+E)

Otevře dialog pro převod textu na escape sekvence a zpět (využití např. v JavaScriptu). Práce se zdrojovým kódem).

Časové razítko

Vloží do dokumentu aktuální čas ve formátu HH:MM:SS.

Datové razítko

Vloží do dokumentu aktuální datum ve formátu DD.MM.RRRR.

Časové a datové razítko

Vloží do dokument aktuální datum a čas ve formátu HH:MM:SS - DD.MM.RRRR.


Menu Vložit

Obsahem tohoto menu jsou především položky, které obsahují také panely nástrojů, proto si je nebudeme popisovat. Podrobnější informace najdete v tématech nápovědy k panelům nástrojů.

Identifikátor GUID

Na pozici kurzoru vloží jedinečný identifikátor GUID. GUID (Global Unique IDentificator) je celosvětově jedinečný řetězec, který je vygenerován mimo jiné i z jedinečného interního čísla síťové karty (pokud je v počítači). Používá se tam, kde chete mít skutečně jistotu jedinečnosti.

Odkaz na tabulku CSS

Otevře dialog pro vyhledání souboru kaskádových stylů CSS (*.css) a vloží do dokumentu tag LINK, který jej připojí.


Menu Hledání

Hledat (Ctrl+F)

Otevře panel Hledání.

Hledat v souborech (Ctrl+F2)

Otevře panel Hledat v souborech.

Najít další (F3)

Nalezne další výskyt hledaného řetězce v dokumentu.

Najít předchozí (Ctrl+F3)

Nalezne předchozí výskyt hledaného řetězce v dokumentu.

Související závorka (Ctrl+M)

Nalezne související závorku k té, před kterou máte umístěný kurzor. Stojíte-li před začátkem závorky, budete přesunuti na uzavírající závorku a naopak.

Nahradit (Ctrl+H)

Otevře dialog pro nahrazení řetězce v otevřeném souboru, ve všech otevřených souborech či v souborech na pevném disku. Obsahuje stejné možnosti jako položky Hledat a Hledat v souborech.


Menu Zobrazení

Zobrazovat navigační panel (Ctrl+Q)

Zobrazí či skryje navigační panel standardně zobrazovaný na levé straně obrazovky.

Zobrazovat průvodce (Ctrl+F1)

Zobrazí či skryje okno průvodce.

Panely nástrojů

Zobrazuje či skrývá jednotlivé panely nástrojů zobrazené standardně pod hlavním menu.

Uspořádat okna na sebe

Uspořádá okna otevřených dokumentů na sebe tak, že jsou vidět pouze titulky

Uspořádat okna vedle sebe

Uspořádá okna otevřených dokumentů vedle sebe do dlaždic

Uspořádat okna pod sebe

Uspořádá okna otevřených dokumentů pod sebe do dlaždic

Moderní vzhled nabídek

Umožňuje změnit grafické téma nabídek a panelů nástrojů. Aplikace Html-Wap editor obsahuje 3 témata:
  1. Klasický vzhled (jako Windows 98)
  2. Office XP Theme (jako MS-Office XP)
  3. Aluminum Theme (vlastní vzhled hliníku)

Seznam otevřených dokumentů

Další položky jsou seznam otevřených dokumentů. Při klepnutí na danou položku dojde k vystoupení okna dokumentu do popředí všech ostatních oken.


Menu Nástroje

Zkontrolovat správnost HTML (Ctrl+F10)

Pomocí této funkce můžete ověřit, zda máte správně zapsaný zdrojový kód HTML stránky. Pokud umíte anglicky, můžete si o tzv. funkci HTML Tidy přečíst na oficiálních stránkách webového konsorcia http://www.w3.org/People/Raggett/tidy.


Menu Nastavení

Nastavení programu

Otevře dialog s nastavením programu. Zde můžete upravit veškeré chování aplikace podle své potřeby.


Editační okno - Mód Zdrojový kód

Tento mód slouží pro přímou editaci zdrojového kódu webové stránky. Tento mód slouží především pro zvědavé či zkušené uživatele, které baví psát webové stránky ručně, nebo kteří již odhalily velké množství výhod ručního psaní. Aplikace Html-Wap editor nábízí velké množství funkcí právě pro úpravu stránek zdrojovým kódem.

Zalamování řádků

První symbol ve tvaru šipky slouží k zapnutí či vypnutí zalamování řádků. Zalamování řádků je pouze virtuální a nebude mít vliv na fyzické zalomení v dokumentu. Řádek se zalomí v případě, že by překročil délku obrazovky, tedy v případě, kdy by se zobrazil horizontální (vodorovný) posuvník.

Zobrazování čísel řádků

Tlačítko se symbolem křížku # slouží k zapnutí či vypnutí zobrazování čísel řádků. Číslování řádků slouží pro lepší orientaci. Některé kompilery také při výpisu chyby (jako třeba HTML Tidy) zobrazují také číslo řádku. V tomto případě je jednodušší požadovaný řádek najít. To, zda se řádky budou číslovat od nuly či od jedničky lze nastavit v nastavení aplikace u vlastností daného profilu.

Zobrazování skrytých znaků

Tlačítko se symbolem obráceného znaku P slouží k zapnutí či vypnutí zobrazování skrytých znaků. To je vhodné například při zobrazování konců řádků a k rozpoznání mezer od tabulátorů. Pro skryté znaky jsou následující symboly:
  1. znak ¶ označuje konec řádku
  2. znak · označuje mezeru
  3. znak » označuje tabulátor (okolo něj je volné místo zabírající plochu tabulátoru)

Seznam zvýrazňovačů

Další políčko označuje aktuální zvýrazňovač, který bude použit pro zvýraznění zdrojového kódu. Klepnutím na symbol třech teček se zobrazí seznam všech 350 zvýrazňovačů přehledně roztříděných do stromové struktury. Výběr zvýrazňovače provedete klepnutím na jeho název. Seznam následně uzavřete klepnutím mimo něj kamkoliv na plochu obrazovky.

Seznam profilů

Poslední políčko určuje aktuální profil, to je typ dokumentu. Aktivní profil se automaticky nastavuje podle přípon dokumentů, jež jsou definované v nastavení u položky Nastavení profilů. Pro každý profil si můžete vybrat vlastní zvýrazňovač a nastavit si chování editoru jako např. délku tabulátoru či začáteční číslo číslování řádků kódů. Nevyhovuje-li vám vybraný profil podle přípony, můžete jej klidně změnit klepnutím na jeho název a vybráním jiného profilu ze seznamu.


Editační okno - Mód Náhled

Tento mód slouží pro shlédnutí upravované stránky. Jako prohlížeč je použita aplikace Internet Explorer.

Zpět

Vrátí se na předchozí navštívenou stránku.

Vpřed

Vrátí se na následující navštívenou stránku (pouze v případě že byl předem proveden krok zpět).

Aktualizovat (F5)

Znovu načte (aktualizuje) aktivní webovou stránku.

Přerušit

Přeruší načítání otevírané webové stránky.

Zákaz PHP

Aplikace Html-Wap editor umožňuje přímo komunikovat se serverem PHP. Pokud je toho tlačítko aktivní (označené), je zpracování PHP kódu zakázáno.

Změnit rozlišení

Klepnutím na tento popisek se rozevře seznam standardních rozlišení monitorů. Po klepnutí na požadované rozlišení bude aktivní webová stránka otevřena v novém okně interního prohlížeče s velikostí vybraného rozlišení. Tato volba vám umožní optimalizovat stránky pro určité rozlišení.

Adresa

Klasické editační pole pro zadání webové adresy. Tato položka je známá z aplikací Mozilla Firefox či Internet Explorer.

Prohlížet

Tlačítko s ikonou lupy nad zeměkoulí provede načtení stránky z pole adresy do interního prohlížeče. Stejného výsledku dosáhnete, máte-li umístěn kurzor v poli adresy a stisknete klávesu Enter.

Přejít do Internet Exploreru

Tlačítko s ikonou zelené šipky provede načtení stránky z pole adresa do prohlížeče Internet Explorer.


Editační okno - Mód Design

Tento mód slouží pro WYSIWYG úpravu webových stránek známou z aplikací Macromedia Dreamveawer, Microsoft FrontPage či Microsoft Word. K úpravě lze použít také věstavěné průvodce.

Detaily

Jedinou položkou tohoto módu je položka Detaily sloužící k zapnutí či vypnutí zobrazovaní detailů, čili neviditelných tagů. Mezi detaily jsou zobrazovány neviditelné tagy či konce řádku ve žlutých bublinkách ohraničující danou oblast, která je tagem obalena. K objasnění nejlépe poslouží malá ukázka:

Tag <span>Text</span> bude zobrazen v designu takto:

Vypnuté detaily:
Zapnuté detaily:


Editační okno - Návrh doplnění syntaxe

Funkce Completion Proposal slouží k doplňování syntaxe. Tato funkce je důvěrně známá například programátorům v Delphi.

Tento návrh můžete kdykoliv aktivovat standardně pomocí klávesové kombinace Ctrl+J, kde máte uvedené položky, které můžete na aktuální místo vložit.

Návrh se také aktivuje po napsání určitého znaku v konkrétní oblasti. Seznam oblastí máte zde:
  1. Napsání znaku "<" - nabídne seznam HTML tagů, které se dají vložit na určité místo.
  2. Napsání znaku "&" - nabídne seznam HTML entit, což jsou klíčová slova umístěná mezi znakem and a středník, které nahrazují symboly jako např. písmena řecké abecedy.
  3. Napsání znaku "$" - prohledá dokument a vypíše seznam všech nalezených PHP proměnných v dokumentu.
  4. Napsání znaku "." - nabídne seznam objektů mateřského objektu, který je již zadán (např. při napsání znaku tečka za slovem window budou vypsány všechny objekty objektu window, tj. location, frames atd). Funguje pouze pro objekty JavaScriptu, normální tečka v textu nemá vliv.


Panel Soubor

Obsahuje některé prvky z nabídky Soubor.

Nový (Ctrl+N)

Tato volba slouží k vytvoření nového souboru. Po jejím zvolení se vytvoří nový prázdný dokument.

Otevřít (Ctrl+O)

Touto volbou otevřete existující dokument. Zobrazí se dialog, pomocí nějž vyhledáte požadovanou složku a vyberete dokument (může jich být i více najednou), který chcete otevřít. Více možností otevírání se dozvíte v kapitole 4 - Vytvoření / otevření dokumentu.

Uložit (Ctrl+S)

Touto volbou proběhne uložení aktivního dokumentu do souboru. Pokud není známo jméno souboru (soubor ještě nebyl uložen), bude zobrazeno dialogové okno pro zadání jména cílového souboru.

Uložit vše (Shift+Ctrl+S)

Touto volbou provedete uložení všech změněných dokumentů. Není-li u dokumentu známé jméno souboru, bude zobrazen dialog pro jeho zadání.


Panel Úpravy

Obsahuje některé prvky z nabídky Úpravy a Hledat.

Zpět (Ctrl+Z)

Opět velice známá volba z ostatních aplikací. Vrátí zpět poslední provedenou změnu. Limit na vrácení změn je 1024 kroků (pouze u editace zdrojových kódů).

Vpřed (Ctrl+Y)

Vrátí zpět provedené vrácení změny.

Kopírovat (Ctrl+C)

Zkopíruje označený text do schránky.

Vystřihnout (Ctrl+X)

Vystřihne označený text do schránky.

Vložit (Ctrl+V)

Vloží text ze schránky do dokumentu.

Vybrat vše (Ctrl+A)

Označí celý obsah dokumentu.

Hledat (Ctrl+F)

Otevře panel Hledání.

Nahradit (Ctrl+H)

Otevře dialog pro nahrazení řetězce v otevřeném souboru, ve všech otevřených souborech či v souborech na pevném disku. Obsahuje stejné možnosti jako položky Hledat a Hledat v souborech.


Panel Uspořádání oken

Obsahuje některé prvky z nabídky Zobrazení.

Uspořádat okna na sebe

Uspořádá okna otevřených dokumentů na sebe tak, že jsou vidět pouze titulky

Uspořádat okna vedle sebe

Uspořádá okna otevřených dokumentů vedle sebe do dlaždic

Uspořádat okna pod sebe

Uspořádá okna otevřených dokumentů pod sebe do dlaždic


Panel Webová adresa

Obsahuje některé prvky z panelu nástrojů Náhled.

Adresa

Klasické editační pole pro zadání webové adresy. Tato položka je známá z aplikací Mozilla Firefox či Internet Explorer.

Stáhnout do editoru

Tlačítko s ikonou lupy nad zeměkoulí provede načtení stránky do webového editoru, kde je možné ji upravit a uložit na disk.

Navštívit stránku

Tlačítko s ikonou zelené šipky provede načtení stránky z pole adresa do prohlížeče Internet Explorer.


Panel Nastavení textu

Odstavec

Definuje nový ostaven pomocí tagu <p>.

Zalomení řádku (Ctrl+Enter)

Provede tvrdé zalomení řádku pomocí tagu <br />.

Nedělitelná mezera (Ctrl+Space)

Provede vložení nedělitelné mezery pomocí entity &nbsp;;

Nadpisy

Vloží nadpis od velikosti 1 (největší) po velikost 6 (nejmenší) do dokumentu. Klávesové zkratky jsou od Ctrl+Alt+1 po Ctrl+Alt+6 (čísla 1 - 6 jsou čísla pod funkčními klávesami, která mimo jiné vkládají také české znaky. Nejedná se o čísla na numerické klávesnici, tzn. že pro vložení nadpisu velikosti 2 je klávesová zkratka Ctrl+Alt+ě.

Předformátovaný text

Definuje oblast předformátovaného textu pomocí tagu <pre> Předformátovaný text bude v prohlížeči zobrazen tak, jak je vypsán mezi těmito tagy ve zdrojovém kódu, tzn. že budou akceptovány klasická odřádkování pomocí znaků CR a LF a klasické mezery.

Kódový výpis programu

Definuje kódový výpis programu pomocí tagu <code> vypsaný neproporcionálním písmem, většinou Courier.

Horní index

Definuje horní index pomocí tagu <sup>.

Dolní index

Definuje dolní index pomocí tagu <sub>

Zmenšit odsazení

Zmenší odsazení bloku za pomoci tagu </blockquote>

Zvětšit odsazení

Zvětší odsazení bloku za pomoci tagu <blockquote>


Panel Scripty

Definice JavaScript

Definuje oblast JavaScriptu pomocí tagu <script>.

Definice NOSCRIPT

Definuje oblast příkazů pro prohlížeče nepodporující JavaScript pomocí tagu <noscript>.

Výpis textu do dokumentu

Vypíše text do dokumentu pomocí JavaScriptové metody document.write();

Definice funkce

Definuje novou funkci JavaScriptu pomocí klíčového slova function();

Otevření okna prohlížeče

Otevírá nové okno prohlížeče pomocí JavaScriptové metody window.open();

Výstražný / potvrzovací dialog

Otevírá výstražný či potvrzovací dialog pomocí JavaScriptových metod window.alert(); či window.confirm();

Podmínka Když (IF)

Definuje novou strukturu podmínky Když (IF) pomocí průvodce.

Vícestupňové větvení

Definuje novou strukturu větvení programu CASE pomocí průvodce.

Opakování s počtem - cyklus FOR

Definuje novou strukturu cyklu FOR pro opakování sekvence příkazů s počtem.

Podmíněné opakování příkazů - cyklus WHILE

Definuje novou strukturu cyklu WHILE pro opakování sekvence příkazů s podmínkou.


Panel Formuláře

Formulářová plocha

Definuje formulářovou plochu průvodcem pomocí tagu <form>.

Formulářový prvek

Definuje formulářový prvek průvodcem pomocí tagu <input>

Vložit hypertextový odkaz

Vloží hypertextový odkaz průvodcem pomocí tagu <a>

Vložit obrázek

Vloží obrázek průvodcem pomocí tagu <img>

Vložit video

Vloží video průvodcem pomocí tagu <img> a atributu <dynsrc>

Vložit pohyblivý text

Vloží pohyblivý text průvodcem pomocí tagu <marquee>

Vložit vodorovnou linku

Vloží vodorovnou linku průvodcem pomocí tagu <hr>

Vložit komentář

Vloží komentář pomocí tagu <!-- a -->


Panel Minibrowser

Tento panel slouží k rychlému vyhledání a otevření souboru z pevného disku či vyměnitelného média.

Přidat k oblíbeným

Tlačítko se symbolem zeleného znaku plus přidá danou složku do seznamu oblíbených složek. Do této složky se poté lze velice rychle přesunout klepnutím na její adresu v seznamu oblíbených složek, umístěném vedle těchto tlačítek.

Odebrat z oblíbených položek

Tlačítko se symbolem červeného křížku odebere vybranou složku ze seznamu oblíbených položek.

Seznam oblíbených položek

V seznamu oblíbených složek jsou složky, které jste přidali tlačítkem se symbolem zeleného plus. Tyto složky můžete rychle navštěvovat vybráním jejího názvu ze seznamu.

Filtr typů souborů

Filtr typů souborů slouží k vybrání typu souborů, který bude zobrazen v seznamu souborů dané složky.

Stromový seznam složek

Stromový seznam složek zobrazuje strukturu složek na pevném disku či vyměnitelném médiu a také seznam médií v počítači. Výběrem složky se aktualizuje seznam souborů umístěn pod tímto seznamem složek.

Seznam souborů složky

Seznam souborů obsahuje seznam souborů složky vybrané ve stromovém seznamu složek. Typy souborů které budou zobrazeny určuje filtr typů souborů. Otevření souboru v editoru provedete dvojitým klepnutím na jeho název. Pravým tlačítkem myši můžete vyvolat kontextovou nabídku, která je stejná jako v programu Průzkumník.


Panel Připojené soubory

Tento panel slouží k zobrazení souborů připojených k aktivnímu dokumentu.

Aktualizovat

Provede aktualizaci údajů v tabulce připojených souborů prohledáním aktivní stránky.

Automaticky nastavovat kurzor

Pokud je tato volba aktivní (označená), bude při klepnutí na název souboru v seznamu přesunut kurzor na pozici, kde je uvedena definice tohoto propojení s externím souborem.

Seznam typů souborů

Seznam typů souborů určuje typ připojených souborů, které budou vypsány v tabulce. Změnu typu provedete výběrem položky ze seznamu.

Tabulka připojených souborů

Tabulka připojených souborů obsahuje seznam souborů připojených k aktivnímu dokumentu.


Panel Monitor schránky

Tento panel slouží k uchovávání historie řetězců ukládaných do schránky systému Windows.

Vložit do dokumentu

Provede vložení vybraného záznamu do aktivního dokumentu.

Seznam řetězců

Obsahuje první řádky posledních 10-ti řetězců uložených do schránky Windows.

Řetězec

Obsahuje obsah celého řetězce uloženého do schránky.


Panel Správce projektů

Co je to projekt

Představte si internetovou aplikaci. Ta se skládá z několika stránek, nějaké ty kaskádové styly, skripty atd. Pokud s tím chcete rozumně pracovat, potřebujete nějakou organizaci souborů. Také potřebujete rychlý přístup k těmto souborům. Samozřejmě můžete jednotlivé soubory otevírat a zavírat. Ale lepší je mít je stále po ruce. A k tomu slouží projekt.

Jak projekt funguje

Projekt vytváří hierarchickou strukturu dokumentů, mezi kterými vytváří pouze virtuální vazby, to znamená, že přesunutí souboru v projektu či jeho přejmenování nebude mít vliv na jeho fyzické umístění a název. Odstraněním souboru z projektu provedete pouze odebrání odkazu, nikoliv fyzický výmaz souboru. Odkazy na soubory jsou ukládány pomocí absolutní i relativní cesty, takže přesun projektu na jiný počítač je možný v případě dodržení zásad ukládání.

Jak ukládat projekt

Všechny soubory náležící do projektu doporučujeme ukládat tak, aby byli na disku hierarchicky pod projektem, to znamená, že všechny soubory budou uloženy v adresáři s projektem nebo v některých podadresářích, nikoliv ve vyšších úrovních. Pokud dodržíte tento způsob ukládání, budou pro odkazy na soubory použity relativní cesty a tím se zpřístupní možnost přenesení projektu na jiné místo, počítač či médium.

Otevření souboru projektu

Otevření souboru projektu provedete jedním z následujících způsobů:
  1. Dvojitým klepnutím na soubor ve stromové struktuře levým tlačítkem myši
  2. Stisknutím tlačítka Enter na označené položce ve stromové struktuře
  3. Přetažením souboru ze stromové struktury do editačnho pole (funguje pouze je-li otevřen nějaký soubor)

Vytvoření nové složky projektu

Pomocí tohoto tlačítka vytvoříte novou virtuální složku projektu.

Odstranění složky projektu

Pomocí tohoto tlačítka odstraníte virtuální složku projektu i se všemi podsoubory. Odstraněny budou pouze odkazy na soubory, nedojde k jejich fyzickému odstranění z pevného disku.

Přidání souboru do projektu

Přidá nový odkaz na soubor do projektu. Při označení více souborů dojde k jejich vložení. V případě že by již soubor s daným jménem existovat, bude zobrazen potvrzovací dialog přepsání.

Odebrání souboru z projektu

Odebere odkaz na soubor z projektu. Nedojde k jejich fyzickému odstranění z pevného disku.

Přejmenování složky/souboru projektu

Přejmenuje virtuální složku či odkaz na soubor v projektu. Nedojde ke skutečnému přejmenování souboru.


Panel Code inspector

Tento panel slouží k zobrazení stromové struktury dokumentu (hierarchii tagů).

Aktualizovat

Provede aktualizaci údajů ve stromu tagů prohledáním aktivní stránky.

Rozbalit všechny větve pod označenou

Provede rozbalení označené větve a všech větví jí podřazených.

Sbalit všechny větve pod označenou

Provede sbalení označené větve a všech větví jí podřazených.

Automaticky nastavovat kurzor

Pokud je tato volba aktivní (označená), bude při klepnutí na tag ve stromu přesunut kurzor na pozici, kde je uvedena definice tohoto tagu.

Strom dokumentu

Obsahuje stromově seřazenou strukturu webové stránky. Mohou nastat případy, kdy bude struktura špatně zobrazena. Tato chyba se může stát u tagů, které jsou párovými, ale nemají povinné ukončování. Pokud však dodržujete standardy (zásady psaní HTML), nesmí se nic takového stát.


Panel Knihovna objektů

Tento panel obsahuje knihovnu objektů k několika jazykům.

Soubor knihovny objektů

Soubor knihovny objektů určuje jazyk, jehož objekty budou zobrazeny. Výběrem položky z tohoto seznamu provedete aktualizaci knihovny a zobrazení přislušných objektů.

Knihovna objektů

Knihovna objektů je uspořádána ve stromové struktuře. Do dokumentu lze objekt vložit pomocí dvojího poklepání na jeho položku stromu. Vkládat lze pouze objekty, které nejsou složkami (mají ikonu listu papíru).


Panel Mapa znaků

Tento panel obsahuje mapu znaků známou ze systému Windows.

Mapa znaků

Mapa znaků je seznam znaků od znakového kódu #9 do #256. Vložení znaku provedete dvojitým klepnutím na jeho ikonu v mapě znaků.


Panel Barevná paleta

Tento panel obsahuje barevnou paletu sloužící ke vložení kódu barvy do aktivního dokumentu.

Seznam formátů barevného kódování

Umožňuje výběr barevného kódování, ve kterém bude vybraná barva vložená do aktivního dokumentu. Obsahuje 3 formáty kódování:
  1. RGB hexadecimálně - barva bude vložena ve formátu #RRGGBB
  2. RGB číselně - barva bude vložena ve formátu rgb(RRR, GGG, BBB);
  3. RGB procentuálně - barva bude vložena ve formátu rgb(RRR%, GGG%, BBB%);

Barevná paleta

Barevná paleta obsahuje různé kombinace odstínů červené a zelené barvy. Výběr barvy provedete klepnutím na požadované místo palety.

Posuvník modré složky

Posuvníkem regulujete intenzitu modré barevné složky v barvě vybrané z barevné palety. Odstín můžete upravit tažením levým tlačítkem myši za černou šipečku nebo klepnutím na požadovaný odstín.

Pole barevných složek

Pole barevných složek umístěné v levém dolním rohu palety ukazuje jednotlivou intenzitu barevné složky od 0 do 255.

Barevný kód barvy

Barevný kód barvy je vyznačen tučným písmem pod barevnou paletou. Určuje kód, který bude vložen do aktivního dokumentu při klepnutí na tlačítko s černou šipkou.

Anglický název barvy

Má-li vybraná barva anglický název v HTML jazyce, bude zobrazen místo třech teček. Při klepnutí na tlačítko s černou šipkou dojde k vložení anglického názvu barvy místo kódu.

Vložení barvy

Tlačítko se symbolem černé šipky provede vložení kódu nebo názvu barvy do aktivního dokumentu.

Kapátko

Klepnutím na tlačítko se symbolem kapátka provedete načtení barvy z jakéhokoliv bodu obrazovky.


Panel Prohlížeč obrázků

Tento panel slouží k zobrazení náhledů obrázků ve složce a jejich vložení do stránky.

Seznam složek

Stromový seznam složek zobrazuje strukturu složek na pevném disku či vyměnitelném médiu a také seznam médií v počítači. Výběrem složky se aktualizuje seznam obrázků umístěn pod tímto seznamem složek.

Seznam obrázků

Obsahuje malé náhledy obrázků formátu BMP nebo JPEG ve vybrané složce. Vložení obrázku do aktivního dokumentu pomocí tagu <img> provedete dvojitým poklepáním na obrázek.


Panel Editor vlastností

Tento panel slouží k rychlé úpravě atributů u parametrů tagů.